fshfsinfo

NAME
fshfsinfo - determines information about a Hierarchical File System (HFS) volume

SYNOPSIS
fshfsinfo [-B bodyfile] [-E identifier] [-F path] [-o offset] [-dhHvV] source

DESCRIPTION
fshfsinfo is a utility to determine information about a Hierarchical File System (HFS) volume

fshfsinfo is part of the libfshfs package. libfshfs is a library to access the Hierarchical File System (HFS) format

source is the source file.

The options are as follows:

-B bodyfile
    output file system information as a bodyfile

-d  calculate a MD5 hash of a file entry to include in the bodyfile

-E identifier
    show information about a specific file system entry or "all"

-f file_system_index
    show information about a specific file system or "all"

-F path
    show information about a specific file entry path

-h  shows this help

-H  shows the file system hierarchy

-o offset
    specify the volume offset

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # fshfsinfo hfsplus.raw
    fshfsinfo 20220727

    Hierarchical File System information:

    Volume information:
            Name                            : hfsplus_test

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libfshfs/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright 2009-2022, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO